Package com.verisign.epp.codec.orgext

## Enum EPPOrgExtAddRemChg.Action

- java.lang.Object
- - java.lang.Enum<EPPOrgExtAddRemChg.Action>
  - - com.verisign.epp.codec.orgext.EPPOrgExtAddRemChg.Action

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPOrgExtAddRemChg.Action>`
  Enclosing class:
    EPPOrgExtAddRemChg

      public static enum EPPOrgExtAddRemChg.Action
      extends java.lang.Enum<EPPOrgExtAddRemChg.Action>

  Update action, which includes:
  1. ADD - Add the org identifiers.
  2. REM - Remove the org identifiers.
  3. CHG - Change the org identifiers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADD` |
    `CHG` |
    `REM` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPOrgExtAddRemChg.Action` | `getAction​(java.lang.String aLocalElm)` | Get the action given the local element name.
    `java.lang.String` | `toString()` | Convert the enumerated `Action` value to a local element name `String`.
    `static EPPOrgExtAddRemChg.Action` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPOrgExtAddRemChg.Action[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final EPPOrgExtAddRemChg.Action ADD

    - #### REM

          public static final EPPOrgExtAddRemChg.Action REM

    - #### CHG

          public static final EPPOrgExtAddRemChg.Action CHG

  - ### Method Detail

    - #### values

          public static EPPOrgExtAddRemChg.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPOrgExtAddRemChg.Action c : EPPOrgExtAddRemChg.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPOrgExtAddRemChg.Action valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAction

          public static EPPOrgExtAddRemChg.Action getAction​(java.lang.String aLocalElm)

      Get the action given the local element name.
      Parameters:
        `aLocalElm` - `Action` enumerated local element name to convert to an enumerated `Action` instance.
      Returns:
        Enumerated `Action` value matching the `aLocalElm` value.
      Throws:
        `java.security.InvalidParameterException` - If `aLocalElm` does not match an enumerated `Action` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Action` value to a local element name `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EPPOrgExtAddRemChg.Action>`